Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 251797 - There is no possibility to switch off js parser errors.
There is no possibility to switch off js parser errors.
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.1
PC Linux
: P3 (vote)
: 8.1
Assigned To: Petr Pisl
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-13 12:17 UTC by Petr Pisl
Modified: 2015-04-17 09:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2015-04-13 12:17:18 UTC
There are many frameworks that doesn't have to satisfied the parser used in NetBeans. When such framework is used in a project, then the bulk of javascript files has red icon and the frameworks expressions are marked as errors. There should be a way how to switch off the errors for the project or folder or for whole ide.
Comment 1 Quality Engineering 2015-04-15 02:49:10 UTC
Integrated into 'main-silver', will be available in build *201504150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c7a16906d33e
User: Petr Pisl <ppisl@netbeans.org>
Log: #251797 - There is no possibility to switch off js parser errors.
Comment 2 Petr Pisl 2015-04-17 08:50:08 UTC
Fixed, I forgot to mark it as fixed.
Comment 3 Vladimir Riha 2015-04-17 09:07:36 UTC
Verified. The only issue is with badges going away after file modification as with CSS in issue 248985.


Product Version: NetBeans IDE Dev (Build 201504170001)
Java: 1.8.0_40; Java HotSpot(TM) Client VM 25.40-b25
Runtime: Java(TM) SE Runtime Environment 1.8.0_40-b25
System: Linux version 3.13.0-35-generic running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo